import * as React from 'react';
interface TreeModalOpts {
    businessLine?: string;
    useRoot?: boolean;
    onSelect: Function;
    required?: boolean;
    orgInfo: {
        code: string;
        name: string;
    };
}
export default class extends React.PureComponent<TreeModalOpts> {
    state: {
        currentNode: any;
        error: boolean;
        show: boolean;
    };
    componentDidMount(): void;
    show(): Promise<void>;
    private onChooseNode;
    render(): JSX.Element;
}
export {};
